<div class="getcardstep">
    <h3 class="steptitle row"
        :class="$root.rtl ? 'rtl' : ''"
        v-html="$parent.steps.step4.title[$root.lang]"
    ></h3>

    <div class="formstep row formstep-step formstep-step3"
         :class="$parent.inputs.operCntPlan.valid"
    >
        <p class="formstep-step3-title_item">
            {{$parent.planningOperations[$root.lang]}}
        </p>
        <div class="formstep-group" :class="$parent.inputs.operCntPlan.valid">
            <div class="formstep-field filled">
                <v-select :options="$parent.inputs.operCntPlan.options"
                          :reduce="adminarea => adminarea.id"
                          :label="($root.lang === 'ar') ? 'nameRu' : $parent.convertLangToForm()"
                          :searchable=false class="formstep-select"
                          :clearable="false"
                          v-model="$parent.inputs.operCntPlan.value"
                          :disabled="$parent.inputs.operCntPlan.disable"
                ></v-select>
                <label class="formstep-label"
                       v-if="$parent.inputs.operCntPlan.label"
                       :for="$parent.inputs.operCntPlan.name"
                       :class="$parent.inputs.operCntPlan.value != '' ? 'active' : ''"
                       v-html="$parent.inputs.operCntPlan.labels[$parent.convertLangToForm()]"
                >
                </label>
            </div>
        </div>

        <div class="formstep-group" :class="$parent.inputs.operAmtPlan.valid">
             <!-- @click="$parent.formatingSelectOptions($parent.inputs.operAmtPlan.options)" -->

            <div class="formstep-field filled">
                <v-select :options="$parent.inputs.operAmtPlan.options"
                          :reduce="adminarea => adminarea.id"
                          :label="($root.lang === 'ar') ? 'nameRu' : $parent.convertLangToForm()"
                          :searchable=false class="formstep-select"
                          :clearable="false"
                          v-model="$parent.inputs.operAmtPlan.value"
                          :disabled="$parent.inputs.operAmtPlan.disable"
                ></v-select>
                <label class="formstep-label"
                       v-if="$parent.inputs.operAmtPlan.label"
                       :for="$parent.inputs.operAmtPlan.name"
                       :class="$parent.inputs.operAmtPlan.value != '' ? 'active' : ''"
                       v-html="$parent.inputs.operAmtPlan.labels[$parent.convertLangToForm()]"
                ></label>
            </div>
        </div>

        <div class="formstep-group"
             v-for="(field,index) in $parent.steps.step4.fields"
             :class="$parent.inputs[field].valid"
        >

            <div class="row formstep-row"
                 v-if="$parent.inputs[field].textHint || $parent.inputs[field].imgHint"
            >
                <div class="formstep-texthint"
                     v-if="$parent.inputs[field].textHint"
                     v-html="$parent.inputs[field].textHint"
                ></div>
            </div>

            <div class="formstep-field" v-else-if="$parent.inputs[field].type==='select' && $parent.inputs[field].name !== 'operCntPlan' && $parent.inputs[field].name !== 'operAmtPlan'">
                <v-select :options="$parent.inputs[field].optionsMain"
                          :reduce="adminarea => adminarea.id"
                          :label="($root.lang === 'ar') ? 'nameRu' : $parent.convertLangToForm()"
                          :searchable="false" class="formstep-select"
                          :clearable="true"
                          v-model="$parent.inputs[field].value"
                          :resetOnOptionsChange="true"
                          
                          :disabled="$parent.inputs[field].disable"
                ></v-select>{{$parent.inputs[field].option}}
                <label class="formstep-label"
                       v-if="$parent.inputs[field].label"
                       :for="$parent.inputs[field].name"
                       :class="$parent.inputs[field].value != '' ? 'active' : ''"
                       v-html="$parent.inputs[field].labels[$parent.convertLangToForm()]"
                >
                </label>
                <span class="formstep-valid_mark"></span>
                <span class="formstep-unvalid_mark"></span>
            </div>
            <div class="formstep-group" v-else-if="$parent.inputs[field].type==='checkboxes'">
                <p class="formstep-step3-title_item"
                   v-if="$parent.inputs[field].name === 'moneySources'"
                >
                    {{$parent.inputs.moneySources.labels[$parent.convertLangToForm()]}}
                </p>
                <p class="formstep-step3-title_item"
                   :class="($parent.inputs[field].disableChildren) ? 'formstep-check_disabled' : ''"
                   v-else
                >
                    {{$parent.inputs.properties.labels[$parent.convertLangToForm()]}}
                </p>
                <label class="formstep-check row"
                       v-for="checkbox in $parent.inputs[field].options"
                       :class="($parent.inputs[field].disableChildren) ? 'formstep-check_disabled' : ''"
                >
                    <input class="formstep-checkbox"
                           type="checkbox"
                           :value="checkbox.id"
                           :name="checkbox.id"
                           v-model="$parent.inputs[field].value"
                           :disabled="$parent.inputs[field].disableChildren"
                           

                    />
                    <div class=" pseudo-container">
                        <div class="pseudo"
                             :class="$parent.inputs[field].value.indexOf(checkbox.id) > -1 ? 'checked' : ''"
                        ></div>
                    </div>

                    <div>{{ ($parent.convertLangToForm() === 'nameAr') ? checkbox['nameRu'] : checkbox[$parent.convertLangToForm()]}}</div>
                </label>
            </div>
            <div class="formstep-group" v-else-if="$parent.inputs[field].type==='radio'">
                <p class="formstep-step3-title_item">
                    {{$parent.inputs.isProprietor.labels[$parent.convertLangToForm()]}}
                </p>
                <label class="formstep-rad row" v-for="radio in $parent.inputs[field].options">

                    <input class="formstep-radio"
                           type="radio"
                           :value="radio.id"
                           :name="radio.id"
                           v-model="$parent.inputs[field].value"
                    />
                    <div class=" pseudo-container">
                        <div class="pseudo"
                             :class="$parent.inputs[field].value ===  radio.id ? 'checked' : ''"
                        ></div>
                    </div>
                    <div>{{radio[$parent.convertLangToForm()]}}</div>
                </label>
            </div>
        </div>
    </div>

    <div class="row buttons">
        <div class="button transparency buttons-back"
             v-on:click="$parent.goToPrevStep('#getcard')"
        >
             {{$parent.prev[$root.lang]}}
        </div>
        <div v-if="$parent.steps.step4.valid"
             class="button buttons-next"
             v-on:click="$parent.goToNextStep('#getcard')"
             id="next4"
        >
             {{$parent.next[$root.lang]}}   
        </div>
        <div v-else class="button buttons-next disabled">{{$parent.next[$root.lang]}}</div>
    </div>

</div>
